%define pkgname %(echo %name | cut -d- -f2- | tr - _)
#% define gittag %(echo %version | cut -d. -f5)
%define untagged_version %(echo %version | cut -d. -f1-3)
Name:          python-py-gitea
Version:       0.2.8
Release:       1mamba
Summary:       A Gitea-API wrapper in Python
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/Langenfeld/py-gitea
Source:        https://pypi.debian.net/py-gitea/py-gitea-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(immutabledict)
BuildRequires: python3.11dist(requests)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n py-gitea-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{untagged_version}.dist-info
%{python_sitelib}/%{pkgname}-%{untagged_version}.dist-info/*
%dir %{python_sitelib}/gitea
%{python_sitelib}/gitea/*
%doc LICENSE

%changelog
* Thu May 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-1mamba
- update to 0.2.8

* Fri Dec 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.7.20230821git.689b3bc-1mamba
- update to 0.2.7.20230821git.689b3bc

* Fri Dec 29 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.20230821.689b3bc-1mamba
- package created using the webbuild interface
